#include <stdio.h>
#include <io.h>

void append_text(FILE *fp)
/* バイナリーオープンされているファイルをテキストモードで結合する準備をする */
/* 結合されるべきファイルに対してこの関数を実行する */
/* fp自体は"r+b"でオープンされていること */
{
long len;
	/* 一番最後のデータが0x1aなら消す */
	len=filelength(fileno(fp))-1;
	
	fseek(fp,len,SEEK_SET);
	if (fgetc(fp)==0x1a) fseek(fp,len,SEEK_SET);
}
